import React from 'react';
import PropTypes from 'prop-types';
import { propsTypes } from './types';
/**
 * Primary UI component for user interaction
 */ declare const Button: {
    (props: propsTypes): React.ReactElement;
    propTypes: {
        /**
         * variant of the button
         */
        variant: PropTypes.Requireable<string>;
        /**
         * Button contents
         */
        label: PropTypes.Validator<string>;
        /**
         * Optional click handler
         */
        onClick: PropTypes.Requireable<(...args: any[]) => any>;
        icon: PropTypes.Requireable<string>;
        styles: PropTypes.Requireable<object>;
        disabled: PropTypes.Requireable<boolean>;
        isBold: PropTypes.Requireable<boolean>;
    };
    defaultProps: {
        variant: string;
        onClick: undefined;
        styles: undefined;
        disabled: boolean;
        isBold: boolean;
        icon: string;
    };
};
export default Button;
